name: Test

on:
  pull_request:
    branches: [master]

jobs:
  run:
    runs-on: ubuntu-latest
    strategy:
      max-parallel: 4
      matrix:
        image: ["ubuntu:devel", "ubuntu:rolling", "ubuntu:latest", "fedora:latest", "fedora:rawhide"]
    container: ${{ matrix.image }}
    steps:
    - uses: actions/checkout@v1
    - name: Run test
      run: sh tests/run-$(I=${{ matrix.image }}; echo ${I%:*})
